import { LitElement } from 'lit';
import { default as Quill } from 'uxl-quill/dist/quill';
export declare class PrimariaRichTextEditor extends LitElement {
    private textChangeTimeout;
    render(): import('lit').TemplateResult<1>;
    static styles: import('lit').CSSResult;
    firstUpdated(): void;
    _debouncedEmitTextChangeEvent(): void;
    _emitTextChangeEvent(): void;
    quill: Quill | null;
    options: string;
    range: {
        index: number;
        length: number;
    };
    availableOptions: string[];
    availableFormats: string[];
    formats: string;
    _getOptions(): {
        modules: {
            toolbar: {
                container: never[];
                handlers: {
                    redo(): void;
                    undo(): void;
                };
            };
            history: {
                delay: number;
                maxStack: number;
                userOnly: boolean;
            };
            keyboard: {
                bindings: {
                    indent: {
                        key: string;
                        format: string[];
                        handler(range: any, context: any): boolean;
                    };
                    "list autofill": {
                        key: string;
                        shiftKey: null;
                        collapsed: boolean;
                        format: {
                            "code-block": boolean;
                            blockquote: boolean;
                            table: boolean;
                        };
                        prefix: RegExp;
                        handler(range: any, context: any): boolean;
                    };
                };
            };
        };
        theme: string;
        formats: string[];
    };
    getCursorPosition(): any;
}
